200
application/jsonThe response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.
{}
Get automatic search suggestions for your queries on Google Search.
Get automatic search suggestions for your queries on Google Search.
Endpoint: GET https://api.outscraper.cloud/google-search-autocomplete
| Name | In | Type | Required | Description | Example | Constraints |
|---|---|---|---|---|---|---|
query |
query | array<string> | Yes | The parameter specifies the search query (e.g., outscraper).
It supports batching by sending arrays with up to 1000 queries (e.g., query=text1&query=text2&query=text3). It allows multiple queries to be sent in one request and to save on network latency time. |
- | - |
language |
query | string enum | No | The parameter specifies the language to use for website. | - | default en, allowed en, de, es, es-419, fr, hr, it, nl, … |
region |
query | string enum | No | The parameter specifies the country to use for website. It's recommended to use it for a better search experience. | - | allowed AF, AL, DZ, AS, AD, AO, AI, AG, … |
The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.
{}
The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.
{
"id": "your-request-id",
"status": "Pending",
"results_location": "https://api.outscraper.cloud/requests/your-request-id"
}
Wrong or missing API Key (token).
{
"error": true,
"errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}
Past due invoices or a payment method not connected.
{
"error": true,
"errorMessage": "Please close past due invoices or verify your card information is correct."
}
Wrong query url parameters.
{
"error": true,
"errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}
curl -X GET "https://api.outscraper.cloud/google-search-autocomplete?query=outscraper&async=false" -H "X-API-KEY: YOUR-API-KEY"
curl -X GET "https://api.outscraper.cloud/google-search-autocomplete?query=outscraper" -H "X-API-KEY: YOUR-API-KEY"
Get automatic search suggestions for your queries on Google Maps.
Returns directions between two points from Google Maps.
Returns Google Maps places located in a parent place (mall, food court, etc.)
Returns Google Maps photos from places when using search queries (e.g., restaurants, Manhattan, NY, USA) or from a single place when using IDs or names (e.g., NoMad Restaurant, NY…
Returns Google Maps reviews from places when using search queries (e.g., restaurants, Manhattan, NY, USA) or from a single place when using Google IDs or names (e.g., NoMad Restau…
Returns places from Google Maps based on a given search query (or many queries). The results from searches are the same as you would see by visiting a regular Google Maps site. Ho…